# Created by pyp2rpm-1.1.2
%global pypi_name docker-scripts
%global with_python3 1
%define version 1.0.0rc1

Name:           python-docker-scripts
Version:        %{version}
Release:        %mkrel 1
Group:          Development/Python
Summary:        A swiss-knife tool that could be useful for people working with Docker

License:        MIT
URL:            https://github.com/goldmann/docker-scripts
Source0:        https://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-mock
 
%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-mock
%endif # if with_python3
 
Requires:       python-setuptools

%description
A swiss-knife tool that could be useful for people working with Docker

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        A swiss-knife tool that could be useful for people working with Docker
 
Requires:       python3-setuptools

%description -n python3-%{pypi_name}
A swiss-knife tool that could be useful for people working with Docker
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
mv %{buildroot}%{_bindir}/docker-scripts %{buildroot}%{_bindir}/docker-scripts3
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.rst LICENSE
%{_bindir}/docker-scripts
%{python_sitelib}/docker_scripts
%{python_sitelib}/docker_scripts-%{version}-py?.?.egg-info
%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst LICENSE
%{_bindir}/docker-scripts3
%{python3_sitelib}/docker_scripts
%{python3_sitelib}/docker_scripts-%{version}-py?.?.egg-info
%endif # with_python3



%changelog
* Mon Mar 28 2016 joequant <joequant> 1.0.0rc1-1.mga6
+ Revision: 996009
- upgrade to 1.0.0rc1 fix build error

* Fri Feb 19 2016 umeabot <umeabot> 0.4.3-2.mga6
+ Revision: 970749
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 shlomif <shlomif> 0.4.3-1.mga6
+ Revision: 888258
- New version 0.4.3 + Rebuild for new Python3 3.5.x

* Mon Jul 20 2015 joequant <joequant> 0.4.2-1.mga6
+ Revision: 855598
- imported package python-docker-scripts

